Subject: Re: bug#15312: Info (point-entered, point-left): Doc incomplete, hence incorrect

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Sep 2013 11:15:10 -0400

> Sorry, I don't understand what you are saying about the original issue
> with point-entered/left.  Are you saying that the code works
> correctly, or are you saying it has a bug?

That the code that uses the `point-entered/left' property (just like
the code that uses the other mentioned properties like `display',
`mouse-face', ...) considers runs of characters with the same property
value as belonging together; which means that the text-property is used
to specify a kind of interval.

Clearly, this disagrees with:

    ,----  (info "(elisp) Not Intervals")
    | "What are the properties of this character?"  So we have decided these
    | are the only questions that make sense; we have not implemented asking
    | questions about where intervals start or end.
    `----

And actually the above text is incorrect/incomplete in the sense that
next-single-property-change clearly implements a functionality that lets
you "ask questions about where intervals start or end".

        Stefan